io.vertx.redis.op

## Class RangeLimitOptions

- java.lang.Object
- - io.vertx.redis.op.LimitOptions
  - - io.vertx.redis.op.RangeLimitOptions

-     public class RangeLimitOptions
      extends LimitOptions

  Author:
    Marko Strukelj

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RangeLimitOptions` | `NONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeLimitOptions()`
    `RangeLimitOptions(JsonObject obj)`
    `RangeLimitOptions(RangeLimitOptions obj)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `RangeLimitOptions` | `setWithscores(Boolean withscores)`
    `JsonObject` | `toJson()`
    `JsonArray` | `toJsonArray()`
    `RangeLimitOptions` | `useWithScores()` Deprecated. use `setWithscores(Boolean)` instead

    - ### Methods inherited from class io.vertx.redis.op.LimitOptions

      `setCount, setLimit, setOffset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final RangeLimitOptions NONE

  - ### Constructor Detail

    - #### RangeLimitOptions

          public RangeLimitOptions()

    - #### RangeLimitOptions

          public RangeLimitOptions(RangeLimitOptions obj)

    - #### RangeLimitOptions

          public RangeLimitOptions(JsonObject obj)

  - ### Method Detail

    - #### useWithScores

          @Deprecated
          public RangeLimitOptions useWithScores()

      Deprecated. use `setWithscores(Boolean)` instead

    - #### setWithscores

          public RangeLimitOptions setWithscores(Boolean withscores)

    - #### toJson

          public JsonObject toJson()

      Overrides:
        `toJson` in class `LimitOptions`

    - #### toJsonArray

          public JsonArray toJsonArray()

      Overrides:
        `toJsonArray` in class `LimitOptions`

Copyright © 2019 Eclipse. All rights reserved.